# stream-contract.theme.yml — Raenil Theme
meta:
  theme_family: lynaear
  theme_id: raenil
  version: 2.1.0
  source_key: linear-app-homepage-2026-04
  ip_review_gate: true
  status: active
  language_channel: AGT
  note: Strict full-canvas mirror derivative of Linear.app with canonical Linear color tokens.

streams:
  raw_theme_raenil_v1:
    source: https://linear.app/
    source_key: linear-app-homepage-2026-04
    schema:
      color_palette: hex-set
      typography: css-font-stack
      layout_system: css-grid-definition
      components: css-class-map
      interactions: animation-definitions
      brand_markers:
        - mirrored-shell
        - mirror-strict-v1-full-canvas-no-exceptions
        - neutral-monochrome-primary-action
        - linear-canonical-colors
  canonical_theme_raenil_v1:
    normalized_from: raw_theme_raenil_v1
    schema:
      design_tokens: w3c-dtcg-aligned
      component_library: normalized
      layout_primitives: css-custom-properties
      color_semantic_map: mirrored-iio-token-system
      responsive_breakpoints:
        - 320
        - 768
        - 1200
        - 1920

transforms:
  raenil_source_to_canonical:
    input: raw_theme_raenil_v1
    output: canonical_theme_raenil_v1
    rules:
      - preserve_visual_hierarchy: linear-canonical
      - preserve_primary_accent: linear-primary
      - mirror_canvas_strict: all-rendered-content-no-exceptions
      - normalize_color_syntax: hex -> css-custom-properties
      - semantic_mapping: linear-tokens -> mirrored-layout-semantic-names
      - preserve_brand_source_trace: linear-app-homepage-2026-04

joins:
  theme_raenil_complete:
    inputs:
      - canonical_theme_raenil_v1
    purpose: Rendering-ready mirrored Linear variant for IIO Manual runtime
    output_schema:
      css_variables: iio-standardized
      component_specs: complete
      usage_guidelines: linked

evidence:
  ingestion_date: "2026-04-29"
  ingested_by: manual-lead
  source_verified: false
  source_verified_at: null
  css_generated: true
  css_generated_at: "2026-04-29"
  rg007_applicable: true
  rg007_evidence: null
